Override season object status
This endpoint does not belong to the priority lane. Do not use it within your ticket sales flow.
When a seat is booked on a season, it's unavailable in all events of that season. But what if the season ticket holder indicates
they're not attending an event? To re-sell their place, you can release it for an event with the override-season-status call.
Overriding the season status for areas is supported as well. You can pass in the name of the area multiple times to override more than 1 place.
This works incrementally: if you pass in the area name twice, the season status gets overridden for an additional 2 places.
Use use-season-status to revert back to the season status, i.e. to cancel the override. This will make the seat unavailable again on the event.
If you don't pass a season field in the request body, Seats.io applies the override (or use-season-status) to the top-level season.
To override or use the status of a partial season instead, pass the partial season key in season.
- You can override any non-free status, not just 'booked'.
- If a seat is non-free (e.g. booked) on a partial season, you can override its status. Same as for top-level seasons.
- Text
- PHP
- C#
- Java
- Python
- Ruby
- Javascript
- Go
POST https://api-{region}.seatsio.net/events/{eventKey}/actions/override-season-status
POST https://api-{region}.seatsio.net/events/{eventKey}/actions/use-season-status
// Top-level season (default): no season key passed
$seatsioClient->events->overrideSeasonObjectStatus("event1", ["A-1", "A-2"]);
$seatsioClient->events->overrideSeasonObjectStatus("event1", ["Area 1", "Area 1"]);
// Partial season: pass the partial season key
$seatsioClient->events->overrideSeasonObjectStatus("event1", ["A-1", "A-2"], "aPartialSeason");
// Top-level season (default): no season key passed
$seatsioClient->events->useSeasonObjectStatus("event1", ["A-1", "A-2"]);
$seatsioClient->events->useSeasonObjectStatus("event1", ["Area 1", "Area 1"]);
// Partial season: pass the partial season key
$seatsioClient->events->useSeasonObjectStatus("event1", ["A-1", "A-2"], "aPartialSeason");
// Top-level season (default): no season key passed
await Client.Events.OverrideSeasonObjectStatusAsync("event1", new [] { "A-1", "A-2" });
await Client.Events.OverrideSeasonObjectStatusAsync("event1", new [] { "Area 1", "Area 1" });
// Partial season: pass the partial season key
await Client.Events.OverrideSeasonObjectStatusAsync("event1", new [] { "A-1", "A-2" }, season: "aPartialSeason");
// Top-level season (default): no season key passed
await Client.Events.UseSeasonObjectStatusAsync("event1", new [] { "A-1", "A-2" });
await Client.Events.UseSeasonObjectStatusAsync("event1", new [] { "Area 1", "Area 1" });
// Partial season: pass the partial season key
await Client.Events.UseSeasonObjectStatusAsync("event1", new [] { "A-1", "A-2" }, season: "aPartialSeason");
// Top-level season (default): no season key passed
client.events.overrideSeasonObjectStatus("event1", List.of("A-1", "A-2"));
client.events.overrideSeasonObjectStatus("event1", List.of("Area 1", "Area 1"));
// Partial season: pass the partial season key
client.events.overrideSeasonObjectStatus("event1", List.of("A-1", "A-2"), "aPartialSeason");
// Top-level season (default): no season key passed
client.events.useSeasonObjectStatus("event1", List.of("A-1", "A-2"));
client.events.useSeasonObjectStatus("event1", List.of("Area 1", "Area 1"));
// Partial season: pass the partial season key
client.events.useSeasonObjectStatus("event1", List.of("A-1", "A-2"), "aPartialSeason");
# Top-level season (default): no season key passed
client.events.override_season_object_status("event1", ["A-1", "A-2"])
client.events.override_season_object_status("event1", ["Area 1", "Area 1"])
# Partial season: pass the partial season key
client.events.override_season_object_status("event1", ["A-1", "A-2"], season="aPartialSeason")
# Top-level season (default): no season key passed
client.events.use_season_object_status("event1", ["A-1", "A-2"])
client.events.use_season_object_status("event1", ["Area 1", "Area 1"])
# Partial season: pass the partial season key
client.events.use_season_object_status("event1", ["A-1", "A-2"], season="aPartialSeason")
# Top-level season (default): no season key passed
client.events.override_season_object_status('event1', ['A-1', 'A-2'])
client.events.override_season_object_status('event1', ['Area 1', 'Area 1'])
# Partial season: pass the partial season key
client.events.override_season_object_status('event1', ['A-1', 'A-2'], season: 'aPartialSeason')
# Top-level season (default): no season key passed
client.events.use_season_object_status('event1', ['A-1', 'A-2'])
client.events.use_season_object_status('event1', ['Area 1', 'Area 1'])
# Partial season: pass the partial season key
client.events.use_season_object_status('event1', ['A-1', 'A-2'], season: 'aPartialSeason')
// Top-level season (default): no season key passed
await client.events.overrideSeasonObjectStatus('eventKey', ['A-1', 'A-2']);
await client.events.overrideSeasonObjectStatus('eventKey', ['Area 1', 'Area 1']);
// Partial season: pass the partial season key
await client.events.overrideSeasonObjectStatus('eventKey', ['A-1', 'A-2'], 'aPartialSeason');
// Top-level season (default): no season key passed
await client.events.useSeasonObjectStatus('eventKey', ['A-1', 'A-2']);
await client.events.useSeasonObjectStatus('eventKey', ['Area 1', 'Area 1']);
// Partial season: pass the partial season key
await client.events.useSeasonObjectStatus('eventKey', ['A-1', 'A-2'], 'aPartialSeason');
// Top-level season (default): no season key passed
err := client.Events.OverrideSeasonObjectStatus(<AN EVENT KEY>, "A-1", "A-2")
err := client.Events.OverrideSeasonObjectStatus(<AN EVENT KEY>, "Area 1", "Area 1")
// Top-level season (default): no season key passed
err := client.Events.UseSeasonObjectStatus(<AN EVENT KEY>, "A-1", "A-2")
err := client.Events.UseSeasonObjectStatus(<AN EVENT KEY>, "Area 1", "Area 1")
Request
// Top-level season (default)
{
"objects": ["A-1", "A-2"]
}
// Partial season
{
"objects": ["A-1", "A-2"],
"season": "aPartialSeason"
}
objects: array of object IDs.season: (optional) partial (or top-level) season key. If omitted, Seats.io uses the top-level season.
Response
204 - No Content